QB_ATOMIC_POINTER_GET(3)

NAME
qb_atomic_pointer_get - Reads the value of the pointer pointed to by atomic.

SYNOPSIS
#include <qb/qbatomic.h>

void * qb_atomic_pointer_get(
    volatile void *QB_GNUC_MAY_ALIAS   *atomic   /* a pointer to a void*. */
);

PARAMS
atomic a pointer to a void*.

DESCRIPTION

Also acts as a memory barrier.

RETURN VALUE

the value to add to atomic.

SEE ALSO

qb_atomic_int_set(3), qb_atomic_int_compare_and_exchange(3), qb_atomic_int_get(3), qb_atomic_int_add(3), qb_atomic_init(3), qb_atomic_int_exchange_and_add(3), qb_atomic_pointer_compare_and_exchange(3), qb_atomic_pointer_set(3)

COPYRIGHT

Copyright (C) 2003 Sebastian Wilhelmi